

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/kernel.h |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN include/linux/kernel.h~randomisation-global-sysctl-fix include/linux/kernel.h
--- 25/include/linux/kernel.h~randomisation-global-sysctl-fix	2005-02-04 13:14:30.197268568 -0800
+++ 25-akpm/include/linux/kernel.h	2005-02-04 13:14:52.648855408 -0800
@@ -278,8 +278,11 @@ struct sysinfo {
 extern void BUILD_BUG(void);
 #define BUILD_BUG_ON(condition) do { if (condition) BUILD_BUG(); } while(0)
 
-
+#ifdef CONFIG_SYSCTL
 extern int randomize_va_space;
+#else
+#define randomize_va_space 0
+#endif
 
 /* Trap pasters of __FUNCTION__ at compile-time */
 #if __GNUC__ > 2 || __GNUC_MINOR__ >= 95
_
